package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.feign.pojo.vo.SchemeSendVO;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2023/03/01 19:48
 */
@Data
@ApiModel(value = "SchemeOptSendVO", description = "方案优化下发实体")
public class SchemeOptSendVO extends SchemeSendVO {

    @ApiModelProperty(value = "优化类型: 0-手动优化; 1-自动优化; 2-恢复; 3-绿波优化; 4-区域优化; 5-高峰方案下发")
    @NotBlank(message = "优化类型不能为空")
    private String optType;
    @ApiModelProperty(value = "调整原因: 1-失衡; 2-溢出; 3-拥堵; 4-绿波优化; 5-高峰方案下发-失衡; 6-高峰方案下发-溢出; 7-高峰方案下发-拥堵; 8-活动预案; 90-事故单点优化")
    private String optReason;
    @ApiModelProperty(value = "是否被关联调整: 1-否; 0-是")
    private String relationFlag;
    @ApiModelProperty(value = "关联路口方向编号")
    @javax.validation.constraints.Pattern(regexp = "^[A-za-z0-9]{11}$", message = "路口编号只能包含英文、数字,必须11个字符")
    private String relationCrossId;
    @ApiModelProperty(value = "相位号-相位调整时间map")
    @NotEmpty
    private Map<String, Integer> phaseOffsetTimeMap;
    @ApiModelProperty(value = "数据拓展json字段")
    private String dataExtend;
}
