package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "SchemeOptVO", description = "查询方案优化返回值")
public class SchemeOptVO {
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;
    @ApiModelProperty(value = "优化模式 0手动干预 1中心优化 6边缘优化")
    private Integer optType;
    @ApiModelProperty(value = "周期")
    private Integer cycle;
    @ApiModelProperty(value = "相位差")
    private Integer offset;
    @ApiModelProperty(value = "调整时间表格")
    private List<PhaseOptTime> phaseOptTimeList;

    @Data
    @NoArgsConstructor
    @ApiModel(value = "PhaseOptTime", description = "调整时间表格元素")
    public static class PhaseOptTime {
        @ApiModelProperty(value = "相位编号")
        private String phaseNo;
        @ApiModelProperty(value = "原绿灯时长")
        private Integer oriGreenTime;
        @ApiModelProperty(value = "调整后绿灯时长")
        private Integer optGreenTime;
        @ApiModelProperty(value = "调整时间")
        private Integer optTime;
    }
}
